Adobe Photoshop 22.x < 22.5.4 / 23.x < 23.1 Multiple Vulnerabilities (macOS APSB21-113)

critical Nessus Plugin ID 156058

Synopsis

Adobe Photoshop installed on remote macOS or Mac OS X host is affected by multiple vulnerabilities.

Description

The version of Adobe Photoshop installed on the remote macOS or Mac OS X host is prior to 22.5.4/23.1. It is, therefore, affected by multiple vulnerabilities as referenced in the apsb21-113 advisory.

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Upgrade to Adobe Photoshop version 22.5.4/23.1 or later.

See Also

https://cwe.mitre.org/data/definitions/120.html

https://cwe.mitre.org/data/definitions/787.html

https://cwe.mitre.org/data/definitions/788.html

https://helpx.adobe.com/security/products/photoshop/apsb21-113.html

Plugin Details

Severity: Critical

ID: 156058

File Name: macos_adobe_photoshop_apsb21-113.nasl

Version: 1.4

Type: local

Agent: macosx

Published: 12/14/2021

Updated: 2/11/2022

Supported Sensors: Nessus Agent

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 5.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS Score Source: CVE-2021-44184

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:adobe:photoshop

Required KB Items: Host/local_checks_enabled, Host/MacOSX/Version, installed_sw/Adobe Photoshop

Exploit Ease: No known exploits are available

Patch Publication Date: 12/14/2021

Vulnerability Publication Date: 12/14/2021

Reference Information

CVE: CVE-2021-43018, CVE-2021-43020, CVE-2021-44184

IAVA: 2021-A-0588-S

CWE: 120, 787, 788